package com.sky.mapper;

import com.sky.entity.SetmealDish;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface Setmeal_dishMapper {
    @Select("select setmeal_id from setmeal_dish where dish_id=#{id}")
    List<Long> queryByDishId(Long id);

    void add(SetmealDish setmealDish);
    @Delete("delete from setmeal_dish where setmeal_id=#{id}")
    void deleteByDishId(Long id);

    @Select("select * from setmeal_dish where setmeal_id = #{setmealId}")
    List<SetmealDish> getBySetmealId(Long setmealId);
}
